// fibo.cpp
// Glenn G. Chappell
// 3 Dec 2013
//
// For CS 202 Fall 2013
// Computing Fibonacci Numbers
// Version #1: Recursive

#include <iostream>
using std::cout;
using std::endl;
using std::cin;


// fibo
// Compute a Fibonacci number.
// Given n >= 0 returns F(n), where F(0) = 0, F(1) = 1, and, for n >= 2,
// F(n) = F(n-2) + F(n-1).
// Assuming type (long long) is 64-bit signed, returns correct result
// for n in [0, 92].
long long fibo(int n)
{
    // BASE CASE
    if (n <= 1)
        return (long long)(n);

    // RECURSIVE CASE
    return fibo(n-2) + fibo(n-1);
}


int main()
{
    for (int n = 0; n <= 92; ++n)
    {
        cout << "F(" << n << ") = " << fibo(n) << endl;
    }

    cout << endl;
    cout << "Press ENTER to quit ";
    while (cin.get() != '\n') ;

    return 0;
}

